Subject: Re: [RFC net-next 01/15] devlink: move code to a dedicated directory

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Dec 2022 11:13:15 -0800

On Thu, 15 Dec 2022 10:44:14 -0800 Jacob Keller wrote:
> On 12/15/2022 1:51 AM, Jiri Pirko wrote:
> > Thu, Dec 15, 2022 at 03:01:41AM CET, [email-masked] wrote:  
> >> The devlink code is hard to navigate with 13kLoC in one file.
> >> I really like the way Michal split the ethtool into per-command
> >> files and core. It'd probably be too much to split it all up,  
> > 
> > Why not? While you are at it, I think that we should split it right
> > away.
>
>  From the cover letter it sounds like "not enough time". I like 
> splitting things up but would be fine with just one file per sub object 
> type like one for ports, one for regions, etc.

Indeed, I had to draw the line somewhere. Always plenty of
opportunities to reshuffle and improve code which has grown
organically over the years. But the sun goes down obsitnately...